﻿<%- include('partials/header') %>

<div class="form-container">
    
    <h1><label>Register (Lecturer) </label></h1>
    
    <% if(locals.error) { %>
        <div class="alert alert-danger"><%= error %></div>
    <% } %>
    <br>
    <form method="post">
        <div class="row">
            <div class="col-sm-6">
                <h4><mark>MAKLUMAT ASAS</mark></h4>
                <div class="form-group">
                    <label for="staffid">No Pekerja</label>
                    <input type="text" name="staffid" id="staffid" class="form-control" value="<%= locals.staffid || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="name">Nama</label>
                    <input type="text" name="name" id="name" class="form-control" value="<%= locals.name || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="ic">No Kad Pengenalan</label>
                    <input type="text" name="ic" id="ic" class="form-control" value="<%= locals.ic || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="address">Alamat Rumah</label>
                    <input type="text" name="address" id="address" class="form-control" value="<%= locals.address || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="gender">Jantina</label>
                    <input type="text" name="gender" id="gender" class="form-control" value="<%= locals.gender || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="nation">Warganegara</label>
                    <input type="text" name="nation" id="nation" class="form-control" value="<%= locals.nation || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="race">Bangsa</label>
                    <input type="text" name="race" id="race" class="form-control" value="<%= locals.race || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="religion">Agama</label>
                    <input type="text" name="religion" id="religion" class="form-control" value="<%= locals.religion || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="marriage">Status Perkahwinan</label>
                    <input type="text" name="marriage" id="marriage" class="form-control" value="<%= locals.marriage || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="phone">No. Telefon</label>
                    <input type="tel" name="phone" id="phone" class="form-control" value="<%= locals.phone || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="disability">Kecacatan</label>
                    <input type="text" name="disability" id="disability" class="form-control" value="<%= locals.disability || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="status">Status Staff</label>
                    <input type="text" name="status" id="status" class="form-control" value="<%= locals.status || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="year">Tahun Kemasukkan</label>
                    <input type="month" name="year" id="year" class="form-control" value="<%= locals.year || '' %>" required />
                </div>

                <br>
                <h4><mark>MAKLUMAT UTM ACID</mark></h4>
                <div class="form-group">
                    <label for="username">ACID UTM</label>
                    <input type="text" name="username" id="username" class="form-control" value="<%= locals.username || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="password">Kata Laluan</label>
                    <input type="password" name="password" id="password" class="form-control" required />
                </div>
                <div class="form-group">
                    <label for="email">E-mail (Rasmi)</label>
                    <input type="email" name="email" id="email" class="form-control" value="<%= locals.email|| '' %>"  />
                </div>
                <div class="form-group">
                    <label for="email2">E-mail (Tidak Rasmi)</label>
                    <input type="email" name="email2" id="email2" class="form-control" value="<%= locals.email2|| '' %>"  />
                </div>
            </div>

            <div class="col-sm-6">
                <h4><mark>MAKLUMAT FAKULTI/JABATAN</mark></h4>
                <div class="form-group">
                    <label for="fac">Fakulti/Jabatan</label>
                    <input type="text" name="fac" id="fac" class="form-control" value="<%= locals.fac || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="bahagian">Bahagian</label>
                    <input type="text" name="bahagian" id="bahagian" class="form-control" value="<%= locals.bahagian || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="taraf">Taraf Jawatan</label>
                    <input type="text" name="taraf" id="taraf" class="form-control" value="<%= locals.taraf || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="position">Jawatan</label>
                    <input type="text" name="position" id="position" class="form-control" value="<%= locals.position || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="jgiliran">Jawatan Giliran</label>
                    <input type="text" name="jgiliran" id="jgiliran" class="form-control" value="<%= locals.jgiliran || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="kod">Kod Jawatan</label>
                    <input type="text" name="kod" id="kod" class="form-control" value="<%= locals.kod || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="cat">Kategori Lantikan</label>
                    <input type="text" name="cat" id="cat" class="form-control" value="<%= locals.cat || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="unit">Unit</label>
                    <input type="text" name="unit" id="unit" class="form-control" value="<%= locals.unit || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="ptjra">Kod PTJ RA</label>
                    <input type="text" name="ptjra" id="ptjra" class="form-control" value="<%= locals.ptjra || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="ptjcoe">Kod PTJ COE</label>
                    <input type="text" name="ptjcoe" id="ptjcoe" class="form-control" value="<%= locals.ptjcoe || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="rg">Nama RG</label>
                    <input type="text" name="rg" id="rg"class="form-control" value="<%= locals.rg || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="kodclass">Kod Klasifikasi</label>
                    <input type="text" name="kodclass" id="kodclass"class="form-control" value="<%= locals.kodclass || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="tarikh">Tarikh Tamat Klasifikasi</label>
                    <input type="month" name="tarikh" id="tarikh"class="form-control" value="<%= locals.tarikh || '' %>" required />
                </div>
                <br>
                <h4><mark>MAKLUMAT PENGENALAN</mark></h4>
                <div class="form-group">
                    <label for="icbaru">No Kad Pengenalan Baru</label>
                    <input type="text" name="icbaru" id="icbaru" class="form-control" value="<%= locals.icbaru || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="iclama">No Kad Pengenalan Lama</label>
                    <input type="text" name="iclama" id="iclama" class="form-control" value="<%= locals.iclama || '' %>" required />
                </div>
                <div class="form-group">
                    <label for="passport">No Passport</label>
                    <input type="text" name="passport" id="passport" class="form-control" value="<%= locals.passport || '' %>" required />
                </div>
            </div>
        </div>
        <div class="form-group" >
            <button type="submit" class="btn btn-success">Register</button>
            <a href="/login" class="btn btn-danger">Cancel</a>
        </div>
    </form>
</div>
